ApplicationProfile (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portal.databook.shared
Class ApplicationProfile

    java.lang.Object
      org.gcube.portal.databook.shared.ApplicationProfile

All Implemented Interfaces:
  Serializable

    public class ApplicationProfile

extends Object
implements Serializable

Version:
  0.1 Dec 2012
Author:
  Massimiliano Assante, ISTI-CNR
See Also:
  Serialized Form

Constructor Summary
`ApplicationProfile()`
`ApplicationProfile(String key, String name, String description, String imageUrl, String scope, String url)`

Method Summary
`String` | `getDescription()`
`String` | `getImageUrl()`
`String` | `getKey()`
`String` | `getName()`
`String` | `getScope()`
`String` | `getUrl()`
`void` | `setDescription(String description)`
`void` | `setImageUrl(String imageUrl)`
`void` | `setKey(String key)`
`void` | `setName(String name)`
`void` | `setScope(String scope)`
`void` | `setUrl(String url)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationProfile

    public ApplicationProfile()

### ApplicationProfile

    public ApplicationProfile(String key,
                              String name,
                              String description,
                              String imageUrl,
                              String scope,
                              String url)

Method Detail

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getName

    public String getName()

### setName

    public void setName(String name)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getImageUrl

    public String getImageUrl()

### setImageUrl

    public void setImageUrl(String imageUrl)

### getScope

    public String getScope()

### setScope

    public void setScope(String scope)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.